Loading...
Searching...
No Matches
ON_3dVector Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_point.h>`

Inheritance diagram for ON_3dVector:

## Public Member Functions

| ON_3dVector ()
| ON_3dVector (double x, double y, double z)
| ON_3dVector (const ON_2dVector &)
| ON_3dVector (const ON_2dPoint &)
| ON_3dVector (const ON_3dPoint &)
| ON_3dVector (const double *)
| ON_3dVector (const ON_2fVector &)
| ON_3dVector (const ON_3fVector &)
| ON_3dVector (const ON_2fPoint &)
| ON_3dVector (const ON_3fPoint &)
| ON_3dVector (const float *)
| operator double * ()
| operator const double * () const
ON_3dVector & | operator= (const ON_2dVector &)
ON_3dVector & | operator= (const ON_2dPoint &)
ON_3dVector & | operator= (const ON_3dPoint &)
ON_3dVector & | operator= (const double *)
ON_3dVector & | operator= (const ON_2fVector &)
ON_3dVector & | operator= (const ON_3fVector &)
ON_3dVector & | operator= (const ON_2fPoint &)
ON_3dVector & | operator= (const ON_3fPoint &)
ON_3dVector & | operator= (const float *)
ON_3dVector | operator- () const
ON_3dVector & | operator*= (double)
ON_3dVector & | operator/= (double)
ON_3dVector & | operator+= (const ON_3dVector &)
ON_3dVector & | operator-= (const ON_3dVector &)
double | operator* (const ON_3dVector &) const
double | operator* (const ON_3dPoint &) const
double | operator* (const ON_3fVector &) const
ON_3dVector | operator* (int) const
ON_3dVector | operator/ (int) const
ON_3dVector | operator* (float) const
ON_3dVector | operator/ (float) const
ON_3dVector | operator* (double) const
ON_3dVector | operator/ (double) const
ON_3dVector | operator+ (const ON_3dVector &) const
ON_3dPoint | operator+ (const ON_3dPoint &) const
ON_3dVector | operator- (const ON_3dVector &) const
ON_3dPoint | operator- (const ON_3dPoint &) const
ON_3dVector | operator+ (const ON_2dVector &) const
ON_3dPoint | operator+ (const ON_2dPoint &) const
ON_3dVector | operator- (const ON_2dVector &) const
ON_3dPoint | operator- (const ON_2dPoint &) const
ON_3dVector | operator+ (const ON_3fVector &) const
ON_3dPoint | operator+ (const ON_3fPoint &) const
ON_3dVector | operator- (const ON_3fVector &) const
ON_3dPoint | operator- (const ON_3fPoint &) const
ON_3dVector | operator+ (const ON_2fVector &) const
ON_3dPoint | operator+ (const ON_2fPoint &) const
ON_3dVector | operator- (const ON_2fVector &) const
ON_3dPoint | operator- (const ON_2fPoint &) const
double | operator* (const ON_4dPoint &) const
ON_3dVector | operator* (const ON_Xform &) const
bool | operator== (const ON_3dVector &) const
bool | operator!= (const ON_3dVector &) const
bool | operator<= (const ON_3dVector &) const
bool | operator>= (const ON_3dVector &) const
bool | operator< (const ON_3dVector &) const
bool | operator> (const ON_3dVector &) const
double & | operator[] (int)
double | operator[] (int) const
double & | operator[] (unsigned int)
double | operator[] (unsigned int) const
bool | IsValid () const
bool | IsUnsetVector () const
void | Set (double x, double y, double z)
int | MaximumCoordinateIndex () const
double | MaximumCoordinate () const
int | MinimumCoordinateIndex () const
double | MinimumCoordinate () const
double | LengthSquared () const
double | Length () const
bool | Decompose (const ON_3dVector &, const ON_3dVector &, const ON_3dVector &, double *, double *, double *) const
int | IsParallelTo (const ON_3dVector &other, double angle_tolerance=ON_DEFAULT_ANGLE_TOLERANCE) const
bool | IsPerpendicularTo (const ON_3dVector &other, double angle_tolerance=ON_DEFAULT_ANGLE_TOLERANCE) const
double | Fuzz (double tolerance=ON_ZERO_TOLERANCE) const
void | Zero ()
void | Reverse ()
bool | Unitize ()
double | LengthAndUnitize ()
bool | IsTiny (double tiny_tol=ON_ZERO_TOLERANCE) const
bool | IsZero () const
bool | IsUnitVector () const
bool | PerpendicularTo (const ON_3dVector &)
bool | PerpendicularTo (const ON_3dPoint &, const ON_3dPoint &, const ON_3dPoint &)
void | Transform (const ON_Xform &)
void | Rotate (double angle, const ON_3dVector &axis)
void | Rotate (double sin_angle, double cos_angle, const ON_3dVector &axis)

## Static Public Member Functions

static const ON_3dVector & | UnitVector (int)

## Public Attributes

double | x
double | y
double | z

## Static Public Attributes

static const ON_3dVector | ZeroVector
static const ON_3dVector | XAxis
static const ON_3dVector | YAxis
static const ON_3dVector | ZAxis
static const ON_3dVector | UnsetVector

## Detailed Description

Definition at line 952 of file opennurbs_point.h.

## Constructor & Destructor Documentation

## ON_3dVector() [1/11]

ON_3dVector::ON_3dVector | ( |  | ) |

Referenced by ON_PlaneEquation::Create(), Decompose(), IsParallelTo(), IsPerpendicularTo(), operator!=(), operator*(), operator*(), operator*(), operator*(), operator*(), operator*=(), operator+(), operator+(), operator+(), operator+(), operator+=(), operator-(), operator-(), operator-(), operator-(), operator-(), operator-=(), operator/(), operator/(), operator/(), operator/=(), operator<(), operator<=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator==(), operator>(), operator>=(), PerpendicularTo(), Rotate(), Rotate(), UnitVector(), and ON_PlaneEquation::ValueAt().

## ON_3dVector() [2/11]

ON_3dVector::ON_3dVector | ( | double | x,
|  | double | y,
|  | double | z )

References x, y, and z.

## ON_3dVector() [3/11]

ON_3dVector::ON_3dVector | ( | const ON_2dVector & |  | ) |

## ON_3dVector() [4/11]

ON_3dVector::ON_3dVector | ( | const ON_2dPoint & |  | ) |

## ON_3dVector() [5/11]

ON_3dVector::ON_3dVector | ( | const ON_3dPoint & |  | ) |

## ON_3dVector() [6/11]

ON_3dVector::ON_3dVector | ( | const double * |  | ) |

## ON_3dVector() [7/11]

ON_3dVector::ON_3dVector | ( | const ON_2fVector & |  | ) |

## ON_3dVector() [8/11]

ON_3dVector::ON_3dVector | ( | const ON_3fVector & |  | ) |

## ON_3dVector() [9/11]

ON_3dVector::ON_3dVector | ( | const ON_2fPoint & |  | ) |

## ON_3dVector() [10/11]

ON_3dVector::ON_3dVector | ( | const ON_3fPoint & |  | ) |

## ON_3dVector() [11/11]

ON_3dVector::ON_3dVector | ( | const float * |  | ) |

## Member Function Documentation

## Decompose()

bool ON_3dVector::Decompose | ( | const ON_3dVector & | ,
|  | const ON_3dVector & | ,
|  | const ON_3dVector & | ,
|  | double * | ,
|  | double * | ,
|  | double * | ) const

References ON_3dVector().

## Fuzz()

double ON_3dVector::Fuzz | ( | double | tolerance = ON_ZERO_TOLERANCE | ) | const

## IsParallelTo()

int ON_3dVector::IsParallelTo | ( | const ON_3dVector & | other,
|  | double | angle_tolerance = ON_DEFAULT_ANGLE_TOLERANCE ) const

References ON_3dVector().

## IsPerpendicularTo()

bool ON_3dVector::IsPerpendicularTo | ( | const ON_3dVector & | other,
|  | double | angle_tolerance = ON_DEFAULT_ANGLE_TOLERANCE ) const

References ON_3dVector().

## IsTiny()

bool ON_3dVector::IsTiny | ( | double | tiny_tol = ON_ZERO_TOLERANCE | ) | const

## IsUnitVector()

bool ON_3dVector::IsUnitVector | ( |  | ) | const

## IsUnsetVector()

bool ON_3dVector::IsUnsetVector | ( |  | ) | const

## IsValid()

bool ON_3dVector::IsValid | ( |  | ) | const

## IsZero()

bool ON_3dVector::IsZero | ( |  | ) | const

## Length()

double ON_3dVector::Length | ( |  | ) | const

## LengthAndUnitize()

double ON_3dVector::LengthAndUnitize | ( |  | ) |

## LengthSquared()

double ON_3dVector::LengthSquared | ( |  | ) | const

## MaximumCoordinate()

double ON_3dVector::MaximumCoordinate | ( |  | ) | const

## MaximumCoordinateIndex()

int ON_3dVector::MaximumCoordinateIndex | ( |  | ) | const

## MinimumCoordinate()

double ON_3dVector::MinimumCoordinate | ( |  | ) | const

## MinimumCoordinateIndex()

int ON_3dVector::MinimumCoordinateIndex | ( |  | ) | const

## operator const double *()

ON_3dVector::operator const double * | ( |  | ) | const

## operator double *()

ON_3dVector::operator double * | ( |  | ) |

## operator!=()

bool ON_3dVector::operator!= | ( | const ON_3dVector & |  | ) | const

References ON_3dVector().

## operator*() [1/8]

double ON_3dVector::operator* | ( | const ON_3dPoint & |  | ) | const

## operator*() [2/8]

double ON_3dVector::operator* | ( | const ON_3dVector & |  | ) | const

References ON_3dVector().

## operator*() [3/8]

double ON_3dVector::operator* | ( | const ON_3fVector & |  | ) | const

## operator*() [4/8]

double ON_3dVector::operator* | ( | const ON_4dPoint & |  | ) | const

## operator*() [5/8]

ON_3dVector ON_3dVector::operator* | ( | const ON_Xform & |  | ) | const

References ON_3dVector().

## operator*() [6/8]

ON_3dVector ON_3dVector::operator* | ( | double |  | ) | const

References ON_3dVector().

## operator*() [7/8]

ON_3dVector ON_3dVector::operator* | ( | float |  | ) | const

References ON_3dVector().

## operator*() [8/8]

ON_3dVector ON_3dVector::operator* | ( | int |  | ) | const

References ON_3dVector().

## operator*=()

ON_3dVector & ON_3dVector::operator*= | ( | double |  | ) |

References ON_3dVector().

## operator+() [1/8]

ON_3dPoint ON_3dVector::operator+ | ( | const ON_2dPoint & |  | ) | const

## operator+() [2/8]

ON_3dVector ON_3dVector::operator+ | ( | const ON_2dVector & |  | ) | const

References ON_3dVector().

## operator+() [3/8]

ON_3dPoint ON_3dVector::operator+ | ( | const ON_2fPoint & |  | ) | const

## operator+() [4/8]

ON_3dVector ON_3dVector::operator+ | ( | const ON_2fVector & |  | ) | const

References ON_3dVector().

## operator+() [5/8]

ON_3dPoint ON_3dVector::operator+ | ( | const ON_3dPoint & |  | ) | const

## operator+() [6/8]

ON_3dVector ON_3dVector::operator+ | ( | const ON_3dVector & |  | ) | const

References ON_3dVector().

## operator+() [7/8]

ON_3dPoint ON_3dVector::operator+ | ( | const ON_3fPoint & |  | ) | const

## operator+() [8/8]

ON_3dVector ON_3dVector::operator+ | ( | const ON_3fVector & |  | ) | const

References ON_3dVector().

## operator+=()

ON_3dVector & ON_3dVector::operator+= | ( | const ON_3dVector & |  | ) |

References ON_3dVector().

## operator-() [1/9]

ON_3dVector ON_3dVector::operator- | ( |  | ) | const

References ON_3dVector().

## operator-() [2/9]

ON_3dPoint ON_3dVector::operator- | ( | const ON_2dPoint & |  | ) | const

## operator-() [3/9]

ON_3dVector ON_3dVector::operator- | ( | const ON_2dVector & |  | ) | const

References ON_3dVector().

## operator-() [4/9]

ON_3dPoint ON_3dVector::operator- | ( | const ON_2fPoint & |  | ) | const

## operator-() [5/9]

ON_3dVector ON_3dVector::operator- | ( | const ON_2fVector & |  | ) | const

References ON_3dVector().

## operator-() [6/9]

ON_3dPoint ON_3dVector::operator- | ( | const ON_3dPoint & |  | ) | const

## operator-() [7/9]

ON_3dVector ON_3dVector::operator- | ( | const ON_3dVector & |  | ) | const

References ON_3dVector().

## operator-() [8/9]

ON_3dPoint ON_3dVector::operator- | ( | const ON_3fPoint & |  | ) | const

## operator-() [9/9]

ON_3dVector ON_3dVector::operator- | ( | const ON_3fVector & |  | ) | const

References ON_3dVector().

## operator-=()

ON_3dVector & ON_3dVector::operator-= | ( | const ON_3dVector & |  | ) |

References ON_3dVector().

## operator/() [1/3]

ON_3dVector ON_3dVector::operator/ | ( | double |  | ) | const

References ON_3dVector().

## operator/() [2/3]

ON_3dVector ON_3dVector::operator/ | ( | float |  | ) | const

References ON_3dVector().

## operator/() [3/3]

ON_3dVector ON_3dVector::operator/ | ( | int |  | ) | const

References ON_3dVector().

## operator/=()

ON_3dVector & ON_3dVector::operator/= | ( | double |  | ) |

References ON_3dVector().

## operator<()

bool ON_3dVector::operator< | ( | const ON_3dVector & |  | ) | const

References ON_3dVector().

## operator<=()

bool ON_3dVector::operator<= | ( | const ON_3dVector & |  | ) | const

References ON_3dVector().

## operator=() [1/9]

ON_3dVector & ON_3dVector::operator= | ( | const double * |  | ) |

References ON_3dVector().

## operator=() [2/9]

ON_3dVector & ON_3dVector::operator= | ( | const float * |  | ) |

References ON_3dVector().

## operator=() [3/9]

ON_3dVector & ON_3dVector::operator= | ( | const ON_2dPoint & |  | ) |

References ON_3dVector().

## operator=() [4/9]

ON_3dVector & ON_3dVector::operator= | ( | const ON_2dVector & |  | ) |

References ON_3dVector().

## operator=() [5/9]

ON_3dVector & ON_3dVector::operator= | ( | const ON_2fPoint & |  | ) |

References ON_3dVector().

## operator=() [6/9]

ON_3dVector & ON_3dVector::operator= | ( | const ON_2fVector & |  | ) |

References ON_3dVector().

## operator=() [7/9]

ON_3dVector & ON_3dVector::operator= | ( | const ON_3dPoint & |  | ) |

References ON_3dVector().

## operator=() [8/9]

ON_3dVector & ON_3dVector::operator= | ( | const ON_3fPoint & |  | ) |

References ON_3dVector().

## operator=() [9/9]

ON_3dVector & ON_3dVector::operator= | ( | const ON_3fVector & |  | ) |

References ON_3dVector().

## operator==()

bool ON_3dVector::operator== | ( | const ON_3dVector & |  | ) | const

References ON_3dVector().

## operator>()

bool ON_3dVector::operator> | ( | const ON_3dVector & |  | ) | const

References ON_3dVector().

## operator>=()

bool ON_3dVector::operator>= | ( | const ON_3dVector & |  | ) | const

References ON_3dVector().

## operator[]() [1/4]

double & ON_3dVector::operator[] | ( | int |  | ) |

## operator[]() [2/4]

double ON_3dVector::operator[] | ( | int |  | ) | const

## operator[]() [3/4]

double & ON_3dVector::operator[] | ( | unsigned int |  | ) |

## operator[]() [4/4]

double ON_3dVector::operator[] | ( | unsigned int |  | ) | const

## PerpendicularTo() [1/2]

bool ON_3dVector::PerpendicularTo | ( | const ON_3dPoint & | ,
|  | const ON_3dPoint & | ,
|  | const ON_3dPoint & | )

## PerpendicularTo() [2/2]

bool ON_3dVector::PerpendicularTo | ( | const ON_3dVector & |  | ) |

References ON_3dVector().

## Reverse()

void ON_3dVector::Reverse | ( |  | ) |

## Rotate() [1/2]

void ON_3dVector::Rotate | ( | double | angle,
|  | const ON_3dVector & | axis )

References ON_3dVector().

## Rotate() [2/2]

void ON_3dVector::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | axis )

References ON_3dVector().

## Set()

void ON_3dVector::Set | ( | double | x,
|  | double | y,
|  | double | z )

References x, y, and z.

## Transform()

void ON_3dVector::Transform | ( | const ON_Xform & |  | ) |

## Unitize()

bool ON_3dVector::Unitize | ( |  | ) |

## UnitVector()

const ON_3dVector & ON_3dVector::UnitVector | ( | int |  | ) |

static

References ON_3dVector().

## Zero()

void ON_3dVector::Zero | ( |  | ) |

## Member Data Documentation

## UnsetVector

const ON_3dVector ON_3dVector::UnsetVector

static

Definition at line 961 of file opennurbs_point.h.

## x

double ON_3dVector::x

Definition at line 955 of file opennurbs_point.h.

Referenced by ON_3dVector(), Set(), and ON_PlaneEquation::ValueAt().

## XAxis

const ON_3dVector ON_3dVector::XAxis

static

Definition at line 958 of file opennurbs_point.h.

## y

double ON_3dVector::y

Definition at line 955 of file opennurbs_point.h.

Referenced by ON_3dVector(), Set(), and ON_PlaneEquation::ValueAt().

## YAxis

const ON_3dVector ON_3dVector::YAxis

static

Definition at line 959 of file opennurbs_point.h.

## z

double ON_3dVector::z

Definition at line 955 of file opennurbs_point.h.

Referenced by ON_3dVector(), Set(), and ON_PlaneEquation::ValueAt().

## ZAxis

const ON_3dVector ON_3dVector::ZAxis

static

Definition at line 960 of file opennurbs_point.h.

## ZeroVector

const ON_3dVector ON_3dVector::ZeroVector

static

Definition at line 957 of file opennurbs_point.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_point.h